package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Packages;
import com.ruoyi.web.work.domain.dto.PackagesDto;
import com.ruoyi.web.work.domain.dto.RejectDto;
import com.ruoyi.web.work.domain.vo.PackagesListVo;

import java.rmi.ServerException;
import java.util.List;

/**
 * @author lsw
 * @date 2024-04-19
 */
public interface IPackagesService extends IService<Packages>{
    List<Packages> selectList(Packages packages);

    List<PackagesListVo> selectPackagesList(Packages packages);

    AjaxResult add(Packages packages) throws ServerException;

    AjaxResult voucher(PackagesDto dto) throws ServerException;

    AjaxResult success(Long id) throws ServerException;

    AjaxResult reject(RejectDto dto) throws ServerException;

    AjaxResult remove(Long id) throws ServerException;
}
